diff -Nur pacparser-1.3.1.orig/src/Makefile pacparser-1.3.1/src/Makefile
--- pacparser-1.3.1.orig/src/Makefile	2013-11-26 04:21:24.000000000 +0000
+++ pacparser-1.3.1/src/Makefile	2013-11-26 04:27:11.000000000 +0000
@@ -55,7 +55,7 @@
   endif
 endif
 
-CFLAGS = -g -DXP_UNIX -Wall -DVERSION=$(VERSION)
+CFLAGS := $(CFLAGS) -g -DXP_UNIX -Wall -DVERSION=$(VERSION)
 
 ifndef PYTHON
   PYTHON = python
@@ -67,13 +67,14 @@
 
 LIBRARY_LINK = $(LIBRARY_NAME).$(SO_SUFFIX)
 PREFIX := $(DESTDIR)$(PREFIX)
-LIB_PREFIX = $(PREFIX)/lib
-INC_PREFIX = $(PREFIX)/include
-BIN_PREFIX = $(PREFIX)/bin
-MAN_PREFIX = $(PREFIX)/share/man
+LIB_PREFIX := $(PREFIX)/lib
+INC_PREFIX := $(PREFIX)/include
+BIN_PREFIX := $(PREFIX)/bin
+MAN_PREFIX := $(PREFIX)/share/man
+DOC_PREFIX := $(PREFIX)/share/doc/pacparser
 
 .PHONY: clean pymod install-pymod
-all: testpactester
+all: pactester
 
 spidermonkey/js/src: spidermonkey/js-?.?.?.tar.gz
 	tar xzvf spidermonkey/js-?.?.?.tar.gz -C spidermonkey
@@ -97,7 +98,7 @@
 	ln -sf $(LIBRARY) $(LIBRARY_LINK)
 
 pactester: pactester.c pacparser.h $(LIBRARY_LINK)
-	$(CC) pactester.c -o pactester -lpacparser -L. -I.
+	$(CC) $(CFLAGS) $(LDFLAGS) pactester.c -o pactester -lpacparser -L. -I.
 
 testpactester: pactester
 	echo "Running tests for pactester."
@@ -118,16 +119,20 @@
 	# install pacparser manpages
 	install -d $(MAN_PREFIX)/man3/
 	(test -d ../docs && install -m 644 ../docs/man/man3/*.3 $(MAN_PREFIX)/man3/) || true
+
+install-docs:
 	# install html docs
-	install -d $(PREFIX)/share/doc/pacparser/html/
-	(test -d ../docs/html && install -m 644 ../docs/html/* $(PREFIX)/share/doc/pacparser/html/) || true
+	install -d $(DOC_PREFIX)/html/
+	(test -d ../docs/html && install -m 644 ../docs/html/* $(DOC_PREFIX)/html/) || true
 	# install examples
-	install -d $(PREFIX)/share/doc/pacparser/examples/
-	(test -d ../examples && install -m 644 ../examples/* $(PREFIX)/share/doc//pacparser/examples/) || true
+	install -d $(DOC_PREFIX)/examples/
+	(test -d ../examples && install -m 644 ../examples/* $(DOC_PREFIX)/examples/) || true
 
 # Targets to build python module
 pymod: pacparser.o pacparser.h libjs.a
 	cd pymod && ARCHFLAGS="" $(PYTHON) setup.py build
+
+test-pymod: pymod
 	$(PYTHON) ../tests/runtests.py
 
 install-pymod: pymod
